import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;

/**
  *
  * Beschreibung
  *
  * @version 2.0 vom 14.09.2008
  * @author
  */

public class Demo extends JFrame {
  // Anfang Attribute
  private JButton b_rot  = new JButton();
  private JButton b_blau = new JButton();
  Kreis k_rot, k_blau;
  // Ende Attribute

  public Demo() {
    // Frame-Initialisierung
    super();
    setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    int frameWidth = 300;
    int frameHeight = 300;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2;
    setLocation(x, y);
    Container cp = getContentPane();
    cp.setLayout(null);
    
    // Anfang Komponenten
    // der Button für den roten Kreis
    b_rot.setBounds(16, 216, 121, 33);
    b_rot.setText("roter Kreis");
    b_rot.addActionListener(new ActionListener()
    {
      public void actionPerformed(ActionEvent evt) 
      {
        b_rot_ActionPerformed(evt);
      }
    }                       );
    cp.add(b_rot);
    
    // der Button für den blauen Kreis
    b_blau.setBounds(152, 216, 121, 33);
    b_blau.setText("blauer Kreis");
    b_blau.addActionListener(new ActionListener()
    {
      public void actionPerformed(ActionEvent evt)
      {
        b_blau_ActionPerformed(evt);
      }
    }                       );
    cp.add(b_blau);
    // Ende Komponenten

    setResizable(false);
    setVisible(true);
    
    // roter Kreis
    k_rot = new Kreis(100, 100, 80, "rot");
    k_rot.setSize(300, 200);
    k_rot.setRandbreite(5);
    k_rot.setRandfarbe("grün");
    cp.add(k_rot, 0);
    k_rot.setLocation(10,10);
    
    // blauer Kreis
    k_blau = new Kreis(200, 50, 50, "blau");
    k_blau.setSize(300, 200);
    k_blau.setRandbreite(3);
    k_blau.setRandfarbe("gelb");
    cp.add(k_blau, 1);
  }

  // Anfang Methoden
  public void b_rot_ActionPerformed(ActionEvent evt) {
    if (k_rot.sichtbar) {k_rot.setUnsichtbar();} 
                   else {k_rot.setSichtbar();}
  }

  public void b_blau_ActionPerformed(ActionEvent evt) {
    
    if (k_blau.sichtbar) {k_blau.setUnsichtbar();} 
                   else {k_blau.setSichtbar();}
    /*
        if (k_blau.getFarbe().equals("blau")) {k_blau.setFarbe("gelb");} 
                                     else {k_blau.setFarbe("blau");}
                                     */
  }

  // Ende Methoden

  public static void main(String[] args) { new Demo(); }
}
